% Descripcin :  mederror.m
%
% Este bloque S-function actua como una subrutina ejecutada en Matlab.
% no existen variables continuas (derivadas)
% se evalua la salida como:
% y = f(u)
% u : entradas
% y : Salidas   son  devueltas en sys
%
% Objetivo :
%  Determinar actuacin de las tomas del LTC en funcin de la
%  variacin de la tensin de entrada.

function [sys, x0]  =mederror(t,x,u,flag,DB)
global aux                   ; %variable auxiliar de tipo global
% Parmetros :
%  DB      : Zona Muerta, variacion de tensin que detecta (pu.)
% Variables de Salida:
%  sys(1) =   'e'     +1: Incrementar toma
%                   -1: decrementar toma
%                    0: Mantener toma
% Variables de entrada:
%  u(1) = Error de variacin de tensin   =  Uref - Umedido    

if flag==3
   %salida del sistema
   if t==0;
      aux=0;
   end
      if u(1) >= -DB & u(1)<=DB
      sys(1)=0;
   elseif u(1) > DB 
      sys(1)=1;
   elseif u(1) < -DB 
      sys(1)=-1;
   end
  aux=u(1);
   elseif flag==0
         %parmetros y condiciones iniciales
         %1ro: Nmero de estados continuos
         %2do: Nmero estados discretos
         %3ro: Nmero de salidas  X
         %4to: Nmero de entradas U
         % los otros cero
         sys=[0;0;1;1;0;1];
         x0=[]; 
            else
         sys=[];
 end
